
use tera::Context;

use crate::mycelium::MycFormat;

pub trait MycQuerySettings<F>
where F: MycFormat {

	/// Called before rendering a template to initalize it with
	/// values that come from the query itself.
	fn initalize_template_context(&self, context: &mut Context);

	/// Returns the requested output format
	fn get_format(&self) -> F;

}
